Skip to contents

# Simple point chart

Source: `R/point.R`
`point_reach.Rd`

`ggblanket` as internals for deciding whether the bar chart is horizontally readable.

## Usage

    point_reach(
      df,
      x,
      y,
      group = NULL,
      palette = "main",
      reverse = FALSE,
      family = "Leelawadee",
      alpha = 1,
      size = 1.5,
      x_title = NULL,
      y_title = NULL,
      group_title = NULL,
      title = NULL,
      subtitle = NULL,
      caption = NULL,
      text_size = 10,
      title_size = 14,
      legend_position = "right",
      ...
    )

## Arguments

df

  A data frame.

x

  A numeric column.

y

  A character column or coercible as a character column.

group

  Some grouping categorical column, e.g. administrative areas or population groups.

palette

  Palette name from 'pal_reach()'.

reverse

  Boolean indicating whether the palette should be reversed.

family

  The font family for all plot's texts. Default to "Leelawadee".

alpha

  Transparency.

size

  Dot size. Default to 1.5.

x_title

  The x scale title. Default to NULL.

y_title

  The y scale title. Default to NULL.

group_title

  The group legend title. Default to NULL.

title

  Plot title. Default to NULL.

subtitle

  Plot subtitle. Default to NULL.

caption

  Caption title string. Default to NULL.

text_size

  The size of all text other than the title, subtitle and caption. Defaults to 10.

title_size

  The size of the title text. Defaults to 14.

legend_position

  Position of the legend; Default to "right". Can take "right", "left", "top", "bottom" or "none".

...

  Other arguments to be passed to "ggblanket::gg_col"

## Value

A bar chart